﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ZPG_2011_Moulis_Jan_A09B0359P
{
    /*
     * Trida reprezentujici objekt nacteny z obj souboru.
     * */
    class OBJObject
    {
        // pole jednotlivych objektu
        private SingleObject[] objects;
        // pole odkazu na textury
        private uint[] tex;

        /*
         * Konstruktor objektu.
         * */
        public OBJObject(SingleObject[] objects, uint[] tex)
        {
            this.objects = objects;
            this.tex = tex;
        }

        /*
          * Funkce pro prekreslovani jednotlivych objektu.
          * */
        public void render(uint[] textures)
        {
            for (int i = 0; i < objects.Length; i++)
            {
                objects[i].render(tex[i]);
            }
        }

        /*
         * Mazani jednotlivych objektu.
         * */
        public void destroy()
        {
            for (int i = 0; i < objects.Length; i++)
            {
                objects[i].destroy();
            }
        }
    }
}
